import { ActionPayload } from './types';
export declare const actionTypes: {
    CREATE_REQUEST: string;
    CREATE_SUCCESS: string;
    CREATE_FAILURE: string;
    DELETE_REQUEST: string;
    DELETE_SUCCESS: string;
    DELETE_FAILURE: string;
    FETCH_REQUEST: string;
    FETCH_SUCCESS: string;
    FETCH_FAILURE: string;
    UPDATE_REQUEST: string;
    UPDATE_SUCCESS: string;
    UPDATE_FAILURE: string;
    RESET_REQUEST: string;
    WIPE_CACHE: string;
};
export declare const createRequestType: (payload: ActionPayload) => {
    payload: ActionPayload;
    type: string;
};
export declare const createSuccessType: (payload: ActionPayload) => {
    payload: ActionPayload;
    type: string;
};
export declare const createFailureType: (payload: ActionPayload) => {
    payload: ActionPayload;
    type: string;
};
export declare const deleteRequestType: (payload: ActionPayload) => {
    payload: ActionPayload;
    type: string;
};
export declare const deleteSuccessType: (payload: ActionPayload) => {
    payload: ActionPayload;
    type: string;
};
export declare const deleteFailureType: (payload: ActionPayload) => {
    payload: ActionPayload;
    type: string;
};
export declare const fetchRequestType: (payload: ActionPayload) => {
    payload: ActionPayload;
    type: string;
};
export declare const fetchSuccessType: (payload: ActionPayload) => {
    payload: ActionPayload;
    type: string;
};
export declare const fetchFailureType: (payload: ActionPayload) => {
    payload: ActionPayload;
    type: string;
};
export declare const updateRequestType: (payload: ActionPayload) => {
    payload: ActionPayload;
    type: string;
};
export declare const updateSuccessType: (payload: ActionPayload) => {
    payload: ActionPayload;
    type: string;
};
export declare const updateFailureType: (payload: ActionPayload) => {
    payload: ActionPayload;
    type: string;
};
export declare const resetRequestType: (payload: ActionPayload) => {
    payload: ActionPayload;
    type: string;
};
export default actionTypes;
