"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.actionTypes = {
    CREATE_REQUEST: 'CREATE_REQUEST',
    CREATE_SUCCESS: 'CREATE_SUCCESS',
    CREATE_FAILURE: 'CREATE_FAILURE',
    DELETE_REQUEST: 'DELETE_REQUEST',
    DELETE_SUCCESS: 'DELETE_SUCCESS',
    DELETE_FAILURE: 'DELETE_FAILURE',
    FETCH_REQUEST: 'FETCH_REQUEST',
    FETCH_SUCCESS: 'FETCH_SUCCESS',
    FETCH_FAILURE: 'FETCH_FAILURE',
    UPDATE_REQUEST: 'UPDATE_REQUEST',
    UPDATE_SUCCESS: 'UPDATE_SUCCESS',
    UPDATE_FAILURE: 'UPDATE_FAILURE',
    RESET_REQUEST: 'RESET_REQUEST',
    WIPE_CACHE: 'WIPE_CACHE',
};
var createType = function (payload, actionType) { return ({
    payload: payload,
    type: actionType,
}); };
exports.createRequestType = function (payload) {
    return createType(payload, exports.actionTypes.CREATE_REQUEST);
};
exports.createSuccessType = function (payload) {
    return createType(payload, exports.actionTypes.CREATE_SUCCESS);
};
exports.createFailureType = function (payload) {
    return createType(payload, exports.actionTypes.CREATE_FAILURE);
};
exports.deleteRequestType = function (payload) {
    return createType(payload, exports.actionTypes.DELETE_REQUEST);
};
exports.deleteSuccessType = function (payload) {
    return createType(payload, exports.actionTypes.DELETE_SUCCESS);
};
exports.deleteFailureType = function (payload) {
    return createType(payload, exports.actionTypes.DELETE_FAILURE);
};
exports.fetchRequestType = function (payload) {
    return createType(payload, exports.actionTypes.FETCH_REQUEST);
};
exports.fetchSuccessType = function (payload) {
    return createType(payload, exports.actionTypes.FETCH_SUCCESS);
};
exports.fetchFailureType = function (payload) {
    return createType(payload, exports.actionTypes.FETCH_FAILURE);
};
exports.updateRequestType = function (payload) {
    return createType(payload, exports.actionTypes.UPDATE_REQUEST);
};
exports.updateSuccessType = function (payload) {
    return createType(payload, exports.actionTypes.UPDATE_SUCCESS);
};
exports.updateFailureType = function (payload) {
    return createType(payload, exports.actionTypes.UPDATE_FAILURE);
};
exports.resetRequestType = function (payload) {
    return createType(payload, exports.actionTypes.RESET_REQUEST);
};
exports.default = exports.actionTypes;
//# sourceMappingURL=actionTypes.js.map