"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __spreadArrays = (this && this.__spreadArrays) || function () {
    for (var s = 0, i = 0, il = arguments.length; i < il; i++) s += arguments[i].length;
    for (var r = Array(s), k = 0, i = 0; i < il; i++)
        for (var a = arguments[i], j = 0, jl = a.length; j < jl; j++, k++)
            r[k] = a[j];
    return r;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var redux_1 = require("redux");
var entities_1 = __importDefault(require("./entities"));
var requests_1 = __importDefault(require("./requests"));
function createReducer(types) {
    var collectionsWithSameType = Object.keys(types).reduce(function (result, type) {
        var _a;
        var key = types[type].collection;
        return __assign(__assign({}, result), (_a = {}, _a[key] = __spreadArrays((result[key] || []), [type]), _a));
    }, {});
    var apiReducer = redux_1.combineReducers({
        entities: redux_1.combineReducers(Object.keys(collectionsWithSameType).reduce(function (prev, key) {
            var _a;
            return __assign(__assign({}, prev), (_a = {}, _a[key] = entities_1.default(key), _a));
        }, {})),
        requests: redux_1.combineReducers(Object.keys(types).reduce(function (prev, type) {
            var _a;
            return __assign(__assign({}, prev), (_a = {}, _a[type] = requests_1.default(type), _a));
        }, {})),
    });
    return apiReducer;
}
exports.default = createReducer;
//# sourceMappingURL=index.js.map